Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.manager.persistence
Class DesktopSearchCriteria

    java.lang.Object
      com.bea.netuix.application.search.WebAppSearchCriteria
          com.bea.netuix.application.search.PortalSearchCriteria
              com.bea.netuix.application.manager.persistence.TemplateSearchCriteria
                  com.bea.netuix.application.manager.persistence.DesktopSearchCriteria

All Implemented Interfaces
  SearchCriteria, Serializable

    public class DesktopSearchCriteria

extends TemplateSearchCriteria

DesktopSearchCriteria - used to narrow down searches/lookups on DesktopDefinition objects.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.netuix.application.manager.persistence.TemplateSearchCriteria
`TemplateSearchCriteria.LOGICAL_OPERATOR, TemplateSearchCriteria.TemplateSortCriteria`

Constructor Summary
`DesktopSearchCriteria(String webAppName)` Constructor that takes a web app name.

Method Summary
`DesktopType.DesktopTypeValue` | `getDesktopType()`
`boolean` | `isDesktopTypeCriteria()`
`void` | `setDesktopType(DesktopType.DesktopTypeValue desktopTypeValue)`

Methods inherited from class com.bea.netuix.application.manager.persistence.TemplateSearchCriteria
`addDescription, addDescriptions, addTitle, addTitles, getDescriptionFilterMethod, getDescriptions, getTemplateSortCriteria, getTemplateSortOrder, getTemplateTypeId, getTitleDescriptionLogicalOperator, getTitleFilterMethod, getTitles, init, isDescriptionSearchCriteria, isGlobalTemplateCriteria, isTemplateCriteria, isTitleSearchCriteria, setDescription, setDescriptionFilterMethod, setDescriptions, setGlobalTemplate, setTemplate, setTemplateSortCriteria, setTemplateSortOrder, setTemplateTypeId, setTitle, setTitleDescriptionLogicalOperator, setTitleFilterMethod, setTitles`

Methods inherited from class com.bea.netuix.application.search.PortalSearchCriteria
`getPortalPaths, init, isPortalPathSearchCriteria, setPortalPaths`

Methods inherited from class com.bea.netuix.application.search.WebAppSearchCriteria
`getWebAppName, init, isWebAppNameCriteria`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DesktopSearchCriteria

    public DesktopSearchCriteria(String webAppName)

  Constructor that takes a web app name. All desktop searches are scoped to a web app at the very least.

  Parameters
    `webAppName` -

Method Detail

### isDesktopTypeCriteria

    public boolean isDesktopTypeCriteria()

### getDesktopType

    public DesktopType.DesktopTypeValue getDesktopType()

### setDesktopType

    public void setDesktopType(DesktopType.DesktopTypeValue desktopTypeValue)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.